Generates a report asynchronously for a specified tenant into a CSV file.
post
https://{tenanturl}/v1.0/reports/export/jobs
This API submits a request to download a CSV file and returns the job ID of the request. The API, GET /reporting/v1.0/reporting/jobs/{id}, returns the status and other details of a downloaded job if you choose Response Content Type as application/json. If your Response Content Type is application/zip, this API uses the job ID to get the CSV file.
Entitlements required: manage reports.
Search operators supported:
eqThe attribute and operator values must be identical for a match.swThe entire operator value must be a substring of the attribute value, starting at the beginning of the attribute value.ewThe entire operator value must be a substring of the attribute value, matching at the end of the attribute value.gtIf the attribute value is greater than the operator value, a match occurs. The actual comparison depends on the attribute type.geIf the attribute value is greater than or equal to the operator value, a match occurs. The actual comparison depends on the attribute type.ltIf the attribute value is less than the operator value, a match occurs. The actual comparison depends on the attribute type.leIf the attribute value is less than or equal to the operator value, a match occurs. The actual comparison depends on the attribute type.
Mapping for CSV columns, use the following values.scope for attributeCategoryScope of the attribute. Default is global. Other values can be: entitlement, application, user, or group. name for attributeNameName of the attribute.scimName for attributeKeySCIM Name of the attribute. Example queries:
User List{"filter": "((emails sw \\\"example\\\") or (active eq \\\"true\\\")) and ((urn:ietf:params:scim:schemas:extension:ibm:2.0:User:realm eq \\\"cloudIdentityRealm\\\") or (urn:ietf:params:scim:schemas:extension:ibm:2.0:User:realm eq \\\"www.ibm.com\"))","columns": [{"attributeCategory": "global","attributeName": "preferred_username","attributeKey": "userName"},{"attributeCategory": "global","attributeName": "email","attributeKey": "emails"},{"attributeCategory": "global","attributeName": "employee_id","attributeKey": "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User:employeeNumber"}]}User Count{ "filter": "((emails sw \\\"example\\\") or (active eq \\\"true\\\")) and ((urn:ietf:params:scim:schemas:extension:ibm:2.0:User:realm eq \\\"cloudIdentityRealm\\\") or (urn:ietf:params:scim:schemas:extension:ibm:2.0:User:realm eq \\\"www.ibm.com\"))", "columns": []}Note: If no filter is given then the entire user registry is returned.